For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
        • GETGet all listings
        • POST*Create listing
        • GETGet all pricing
        • GETGet a listing by ID
        • PUTUpdate listing
    • CRM Generic APIs
    • PMS APIs
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
PMS Generic APIsListings

*Create listing

POST
/v1/listings/
POST
/v1/listings/
$curl -X POST https://api.propexo.com/v1/listings/ \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "unit_id": "unit_987654321",
> "rent_amount_in_cents": 150000,
> "deposit_amount_in_cents": 300000,
> "available_date": "2024-07-01",
> "contact_id": "contact_123456789",
> "is_managed_external": false
>}'
1{
2 "job_id": "job_abc123xyz789",
3 "data": {}
4}
Create a listing for an integration.
Was this page helpful?
Previous

Get all pricing

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
unit_idstringRequired
The Propexo unit id
rent_amount_in_centsintegerRequired>=0
The rent amount in cents
deposit_amount_in_centsintegerRequired>=0
The deposit amount in cents
available_datestringRequired
The available date
contact_idstringRequired
The Propexo contact id
is_managed_externalbooleanRequired
Whether the listing is managed externally
lease_termsstringOptional
The lease terms
custom_dataobjectOptionalDeprecated

Deprecated: Field is no longer applicable

Response

Successful response
job_idstring
The ID of the job created to handle this operation
dataobject

Errors

400
Bad Request Error